Bug 425869 - kwin_wayland crashes when I click on an entry of task manager while its tooltip is visible
Summary: kwin_wayland crashes when I click on an entry of task manager while its toolt...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: wayland-generic (show other bugs)
Version: git master
Platform: Neon Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-27 12:42 UTC by Patrick Silva
Modified: 2020-10-16 18:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20


Attachments
output of glxinfo (29.63 KB, text/plain)
2020-09-25 09:10 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-08-27 12:42:31 UTC
STEPS TO REPRODUCE
1. open an app on Wayland session
2. hover over its entry in task manager and click on it while its tooltip is visible
3. 

OBSERVED RESULT
kwin_wayland crashes

EXPECTED RESULT
no crash

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.19.80
KDE Frameworks Version: 5.74.0
Qt Version: 5.14.2


Thread 11 (Thread 11801.13452):
#0  0x00007fcb0e0e543e in epoll_wait (epfd=190, events=0x7fcaee9809b0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007fcaef8173fb in ?? () from target:/usr/lib/x86_64-linux-gnu/spa-0.2/support/libspa-support.so
#2  0x00007fcaef815080 in ?? () from target:/usr/lib/x86_64-linux-gnu/spa-0.2/support/libspa-support.so
#3  0x00007fcb0fd2c180 in ?? () from target:/lib/x86_64-linux-gnu/libpipewire-0.3.so.0
#4  0x00007fcb0f9c0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007fcb0e0e5103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 11801.11859):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fcb0de94fb8 <QTWTF::pageheap_memory+57592>) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7fcb0de94f68 <QTWTF::pageheap_memory+57512>, cond=0x7fcb0de94f90 <QTWTF::pageheap_memory+57552>) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x7fcb0de94f90 <QTWTF::pageheap_memory+57552>, mutex=mutex@entry=0x7fcb0de94f68 <QTWTF::pageheap_memory+57512>) at pthread_cond_wait.c:638
#3  0x00007fcb0dd9761a in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fcb0de86ec0 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0x00007fcb0dd9763f in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0x00007fcb0f9c0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fcb0e0e5103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 11801.11838):
#0  0x00007fcb0e0d896f in __GI___poll (fds=0x7fcadc004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fcb0c07e1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fcb0c07e2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fcb0e7f51e2 in QEventDispatcherGlib::processEvents (this=0x7fcadc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007fcb0e79b24b in QEventLoop::exec (this=this@entry=0x7fcaf4f35d80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#5  0x00007fcb0e5bdeb2 in QThread::exec (this=this@entry=0x55cdb7314e50) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#6  0x00007fcb0d269b99 in QQmlThreadPrivate::run (this=0x55cdb7314e50) at qml/ftw/qqmlthread.cpp:155
#7  0x00007fcb0e5bf01c in QThreadPrivate::start (arg=0x55cdb7314e50) at thread/qthread_unix.cpp:342
#8  0x00007fcb0f9c0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fcb0e0e5103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 11801.11817):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cdb752c098) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55cdb752c048, cond=0x55cdb752c070) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x55cdb752c070, mutex=mutex@entry=0x55cdb752c048) at pthread_cond_wait.c:638
#3  0x00007fcb04eff97b in cnd_wait (mtx=0x55cdb752c048, cond=0x55cdb752c070) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55cdb73eca40) at ../src/util/u_queue.c:275
#5  0x00007fcb04eff58b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcb0f9c0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcb0e0e5103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 11801.11816):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cdb752c098) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55cdb752c048, cond=0x55cdb752c070) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x55cdb752c070, mutex=mutex@entry=0x55cdb752c048) at pthread_cond_wait.c:638
#3  0x00007fcb04eff97b in cnd_wait (mtx=0x55cdb752c048, cond=0x55cdb752c070) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55cdb7347fd0) at ../src/util/u_queue.c:275
#5  0x00007fcb04eff58b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcb0f9c0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcb0e0e5103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 11801.11815):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cdb752c098) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55cdb752c048, cond=0x55cdb752c070) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x55cdb752c070, mutex=mutex@entry=0x55cdb752c048) at pthread_cond_wait.c:638
#3  0x00007fcb04eff97b in cnd_wait (mtx=0x55cdb752c048, cond=0x55cdb752c070) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55cdb73301e0) at ../src/util/u_queue.c:275
#5  0x00007fcb04eff58b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcb0f9c0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcb0e0e5103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 11801.11814):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cdb752c098) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55cdb752c048, cond=0x55cdb752c070) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x55cdb752c070, mutex=mutex@entry=0x55cdb752c048) at pthread_cond_wait.c:638
#3  0x00007fcb04eff97b in cnd_wait (mtx=0x55cdb752c048, cond=0x55cdb752c070) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55cdb7398f70) at ../src/util/u_queue.c:275
#5  0x00007fcb04eff58b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcb0f9c0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcb0e0e5103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 11801.11810):
#0  0x00007fcb0e0d896f in __GI___poll (fds=0x7fcafc004630, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fcb0c07e1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fcb0c07e2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fcb0e7f51e2 in QEventDispatcherGlib::processEvents (this=0x7fcafc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007fcb0e79b24b in QEventLoop::exec (this=this@entry=0x7fcb06d47da0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#5  0x00007fcb0e5bdeb2 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#6  0x00007fcb0e5bf01c in QThreadPrivate::start (arg=0x55cdb72af930) at thread/qthread_unix.cpp:342
#7  0x00007fcb0f9c0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007fcb0e0e5103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 11801.11809):
#0  0x00007fcb0e0d896f in __GI___poll (fds=0x7fcaf8005240, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fcb0c07e1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fcb0c07e2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fcb0e7f51e2 in QEventDispatcherGlib::processEvents (this=0x7fcaf8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007fcb0e79b24b in QEventLoop::exec (this=this@entry=0x7fcb07548da0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#5  0x00007fcb0e5bdeb2 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#6  0x00007fcb0e5bf01c in QThreadPrivate::start (arg=0x55cdb72ae800) at thread/qthread_unix.cpp:342
#7  0x00007fcb0f9c0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007fcb0e0e5103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 11801.11808):
#0  0x00007fcb0e0d896f in __GI___poll (fds=0x7fcb00015b90, nfds=5, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fcb0c07e1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fcb0c07e2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fcb0e7f51e2 in QEventDispatcherGlib::processEvents (this=0x7fcb00000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007fcb0e79b24b in QEventLoop::exec (this=this@entry=0x7fcb07dded70, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#5  0x00007fcb0e5bdeb2 in QThread::exec (this=this@entry=0x7fcb0f98bda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#6  0x00007fcb0f907f5b in QDBusConnectionManager::run (this=0x7fcb0f98bda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#7  0x00007fcb0e5bf01c in QThreadPrivate::start (arg=0x7fcb0f98bda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:342
#8  0x00007fcb0f9c0609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fcb0e0e5103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 11801.11801):
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007fcb0dfe8859 in __GI_abort () at abort.c:79
#2  0x00007fcb0e452b87 in ?? () from target:/lib/x86_64-linux-gnu/libepoxy.so.0
#3  0x00007fcb0e456292 in ?? () from target:/lib/x86_64-linux-gnu/libepoxy.so.0
#4  0x000055cdb6b163c9 in KWin::EGLFence::EGLFence (eglDisplay=0x55cdb752ff80, this=0x7ffffb497b60) at ./screencast/screencastmanager.cpp:43
#5  KWin::WindowStream::bufferToStream (this=0x55cdb80689b0) at ./screencast/screencastmanager.cpp:101
#6  0x00007fcb0e7d251e in QtPrivate::QSlotObjectBase::call (a=0x7ffffb497c50, r=0x55cdb80689b0, this=0x55cdb73c1d10) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#7  doActivate<false> (sender=0x55cdb7410f50, signal_index=3, argv=0x7ffffb497c50) at kernel/qobject.cpp:3870
#8  0x00007fcb0fefeea2 in KWin::EffectsHandlerImpl::paintScreen (this=0x55cdb7ca2430, mask=<optimized out>, region=..., data=...) at ./effects.cpp:383
#9  0x00007fcb0fefeea2 in KWin::EffectsHandlerImpl::paintScreen (this=0x55cdb7ca2430, mask=<optimized out>, region=..., data=...) at ./effects.cpp:383
#10 0x00007fcb0ff865d4 in KWin::Scene::paintScreen (this=this@entry=0x55cdb7410f50, mask=mask@entry=0x7ffffb497e3c, damage=..., repaint=..., updateRegion=updateRegion@entry=0x7ffffb497e50, validRegion=validRegion@entry=0x7ffffb497e58, projection=..., outputGeometry=..., screenScale=screenScale@entry=1) at ./scene.cpp:135
#11 0x00007fcb05aa5635 in KWin::SceneOpenGL::paint (this=0x55cdb7410f50, damage=..., toplevels=...) at ./plugins/scenes/opengl/scene_opengl.h:114
#12 0x00007fcb0fec51af in KWin::Compositor::performCompositing (this=0x55cdb73a90d0) at ./composite.cpp:689
#13 0x00007fcb075678dd in drmHandleEvent () from target:/lib/x86_64-linux-gnu/libdrm.so.2
#14 0x00007fcb075a98f3 in KWin::DrmBackend::<lambda()>::operator() (__closure=<optimized out>) at ./plugins/platforms/drm/drm_backend.cpp:269
#15 QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, KWin::DrmBackend::openDrm()::<lambda()> >::call (arg=<optimized out>, f=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:146
#16 QtPrivate::Functor<KWin::DrmBackend::openDrm()::<lambda()>, 0>::call<QtPrivate::List<>, void> (arg=<optimized out>, f=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:256
#17 QtPrivate::QFunctorSlotObject<KWin::DrmBackend::openDrm()::<lambda()>, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=<optimized out>, this_=<optimized out>, r=<optimized out>, a=<optimized out>, ret=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:443
#18 0x00007fcb0e7d251e in QtPrivate::QSlotObjectBase::call (a=0x7ffffb498540, r=0x55cdb72a4d70, this=0x55cdb7300940) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#19 doActivate<false> (sender=0x55cdb733f2b0, signal_index=3, argv=0x7ffffb498540) at kernel/qobject.cpp:3870
#20 0x00007fcb0e7ccaf7 in QMetaObject::activate (sender=sender@entry=0x55cdb733f2b0, m=m@entry=0x7fcb0ea78ba0 <QSocketNotifier::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffffb498540) at kernel/qobject.cpp:3930
#21 0x00007fcb0e7d5d95 in QSocketNotifier::activated (this=this@entry=0x55cdb733f2b0, _t1=<optimized out>, _t2=...) at .moc/moc_qsocketnotifier.cpp:141
#22 0x00007fcb0e7d60f1 in QSocketNotifier::event (this=0x55cdb733f2b0, e=0x7ffffb498800) at kernel/qsocketnotifier.cpp:266
#23 0x00007fcb0f2accc3 in QApplicationPrivate::notify_helper (this=this@entry=0x55cdb72581d0, receiver=receiver@entry=0x55cdb733f2b0, e=e@entry=0x7ffffb498800) at kernel/qapplication.cpp:3685
#24 0x00007fcb0f2b5f40 in QApplication::notify (this=0x7ffffb498be0, receiver=0x55cdb733f2b0, e=0x7ffffb498800) at kernel/qapplication.cpp:3431
#25 0x00007fcb0e79c78a in QCoreApplication::notifyInternal2 (receiver=0x55cdb733f2b0, event=0x7ffffb498800) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:153
#26 0x00007fcb0e7f240b in QEventDispatcherUNIXPrivate::activateSocketNotifiers (this=0x55cdb7267e10) at kernel/qeventdispatcher_unix.cpp:304
#27 0x00007fcb0e7f286b in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:509
#28 0x00007fcb0885c801 in QUnixEventDispatcherQPA::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/KWinQpaPlugin.so
#29 0x00007fcb0e79b24b in QEventLoop::exec (this=this@entry=0x7ffffb498990, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#30 0x00007fcb0e7a3296 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#31 0x000055cdb6afb40c in main (argc=<optimized out>, argv=<optimized out>) at ./main_wayland.cpp:706
Detaching from program: target:/usr/bin/kwin_wayland, process 11801
Ending remote debugging.
[Inferior 1 (process 11801) detached]
Comment 1 Patrick Silva 2020-09-17 18:02:12 UTC
This crash occurs on Plasma 5.20 beta too.

Operating System: Arch Linux
KDE Plasma Version: 5.19.90
KDE Frameworks Version: 5.74.0
Qt Version: 5.15.1
Comment 2 Bug Janitor Service 2020-09-24 12:50:32 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/291
Comment 3 Vlad Zahorodnii 2020-09-24 12:59:48 UTC
Git commit 989e0987d70197491b5f938f1b728749e4083bb3 by Vlad Zahorodnii.
Committed on 24/09/2020 at 12:47.
Pushed by vladz into branch 'master'.

screencast: Ensure that there is current OpenGL context when recording a window

We need an OpenGL context otherwise we may hit an assert in libepoxy.

M  +1    -0    screencast/screencastmanager.cpp

https://invent.kde.org/plasma/kwin/commit/989e0987d70197491b5f938f1b728749e4083bb3
Comment 4 Vlad Zahorodnii 2020-09-24 13:00:13 UTC
Git commit 5b46e01c45fd650aef81d250e2850697af0db223 by Vlad Zahorodnii.
Committed on 24/09/2020 at 13:00.
Pushed by vladz into branch 'Plasma/5.20'.

screencast: Ensure that there is current OpenGL context when recording a window

We need an OpenGL context otherwise we may hit an assert in libepoxy.


(cherry picked from commit 989e0987d70197491b5f938f1b728749e4083bb3)

M  +1    -0    screencast/screencastmanager.cpp

https://invent.kde.org/plasma/kwin/commit/5b46e01c45fd650aef81d250e2850697af0db223
Comment 5 Patrick Silva 2020-09-24 14:11:05 UTC
I have just built branch 5.20 on Arch Linux and this crash is still reproducible.
Comment 6 Vlad Zahorodnii 2020-09-24 14:29:21 UTC
Please install debug symbols for libepoxy and provide a new backtrace.
Comment 7 Patrick Silva 2020-09-24 18:46:33 UTC
backtrace generated on neon unstable after I built master branch

Thread 11 (Thread 68749.70774):
#0  0x00007fca03fd65ce in epoll_wait (epfd=174, events=events@entry=0x7fc9d3ffe9b0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007fc9dc01b3fb in impl_pollfd_wait (object=<optimized out>, pfd=<optimized out>, ev=0x7fc9d3ffeb60, n_ev=<optimized out>, timeout=<optimized out>) at ../spa/plugins/support/system.c:154
#2  0x00007fc9dc019080 in loop_iterate (object=0x55fe0fa978e8, timeout=-1) at ../spa/plugins/support/loop.c:285
#3  0x00007fca05d10180 in ?? () from target:/lib/x86_64-linux-gnu/libpipewire-0.3.so.0
#4  0x00007fca058fe609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007fca03fd6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 68749.68761):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fca03cc2fd8 <QTWTF::pageheap_memory+57592>) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7fca03cc2f88 <QTWTF::pageheap_memory+57512>, cond=0x7fca03cc2fb0 <QTWTF::pageheap_memory+57552>) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x7fca03cc2fb0 <QTWTF::pageheap_memory+57552>, mutex=mutex@entry=0x7fca03cc2f88 <QTWTF::pageheap_memory+57512>) at pthread_cond_wait.c:638
#3  0x00007fca03bc563a in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fca03cb4ee0 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0x00007fca03bc565f in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0x00007fca058fe609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fca03fd6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 68749.68758):
#0  0x00007fca03fc9aff in __GI___poll (fds=0x7fc9cc004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fca01e6d1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fca01e6d2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fca046eee92 in QEventDispatcherGlib::processEvents (this=0x7fc9cc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007fca046931bb in QEventLoop::exec (this=this@entry=0x7fc9de738d80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007fca044b1082 in QThread::exec (this=this@entry=0x55fe0f4ae4f0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007fca0308b6c9 in QQmlThreadPrivate::run (this=0x55fe0f4ae4f0) at qml/ftw/qqmlthread.cpp:155
#7  0x00007fca044b220c in QThreadPrivate::start (arg=0x55fe0f4ae4f0) at thread/qthread_unix.cpp:342
#8  0x00007fca058fe609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fca03fd6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 68749.68756):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fe0ebcbf88) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fe0ebcbf38, cond=0x55fe0ebcbf60) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x55fe0ebcbf60, mutex=mutex@entry=0x55fe0ebcbf38) at pthread_cond_wait.c:638
#3  0x00007fc9eed4297b in cnd_wait (mtx=0x55fe0ebcbf38, cond=0x55fe0ebcbf60) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55fe0ea2fa50) at ../src/util/u_queue.c:275
#5  0x00007fc9eed4258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fca058fe609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fca03fd6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 68749.68755):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fe0ebcbf88) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fe0ebcbf38, cond=0x55fe0ebcbf60) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x55fe0ebcbf60, mutex=mutex@entry=0x55fe0ebcbf38) at pthread_cond_wait.c:638
#3  0x00007fc9eed4297b in cnd_wait (mtx=0x55fe0ebcbf38, cond=0x55fe0ebcbf60) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55fe0ea393b0) at ../src/util/u_queue.c:275
#5  0x00007fc9eed4258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fca058fe609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fca03fd6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 68749.68754):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fe0ebcbf88) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fe0ebcbf38, cond=0x55fe0ebcbf60) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x55fe0ebcbf60, mutex=mutex@entry=0x55fe0ebcbf38) at pthread_cond_wait.c:638
#3  0x00007fc9eed4297b in cnd_wait (mtx=0x55fe0ebcbf38, cond=0x55fe0ebcbf60) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55fe0e9a1f60) at ../src/util/u_queue.c:275
#5  0x00007fc9eed4258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fca058fe609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fca03fd6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 68749.68753):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55fe0ebcbf88) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fe0ebcbf38, cond=0x55fe0ebcbf60) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x55fe0ebcbf60, mutex=mutex@entry=0x55fe0ebcbf38) at pthread_cond_wait.c:638
#3  0x00007fc9eed4297b in cnd_wait (mtx=0x55fe0ebcbf38, cond=0x55fe0ebcbf60) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55fe0ea37770) at ../src/util/u_queue.c:275
#5  0x00007fc9eed4258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fca058fe609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fca03fd6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 68749.68752):
#0  0x00007fca03fc9aff in __GI___poll (fds=0x7fc9f4004630, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fca01e6d1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fca01e6d2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fca046eee92 in QEventDispatcherGlib::processEvents (this=0x7fc9f4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007fca046931bb in QEventLoop::exec (this=this@entry=0x7fc9fd045da0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007fca044b1082 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007fca044b220c in QThreadPrivate::start (arg=0x55fe0e950a30) at thread/qthread_unix.cpp:342
#7  0x00007fca058fe609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007fca03fd6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 68749.68751):
#0  0x00007fca03fc9aff in __GI___poll (fds=0x7fc9f0005240, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fca01e6d1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fca01e6d2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fca046eee92 in QEventDispatcherGlib::processEvents (this=0x7fc9f0000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007fca046931bb in QEventLoop::exec (this=this@entry=0x7fc9fd846da0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007fca044b1082 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007fca044b220c in QThreadPrivate::start (arg=0x55fe0e94eee0) at thread/qthread_unix.cpp:342
#7  0x00007fca058fe609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007fca03fd6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 68749.68750):
#0  0x00007fca03fc9aff in __GI___poll (fds=0x7fc9f8016c90, nfds=5, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fca01e6d1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fca01e6d2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fca046eee92 in QEventDispatcherGlib::processEvents (this=0x7fc9f8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007fca046931bb in QEventLoop::exec (this=this@entry=0x7fc9fe12bd70, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007fca044b1082 in QThread::exec (this=this@entry=0x7fca058b0d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007fca0582df2b in QDBusConnectionManager::run (this=0x7fca058b0d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#7  0x00007fca044b220c in QThreadPrivate::start (arg=0x7fca058b0d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:342
#8  0x00007fca058fe609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fca03fd6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 68749.68749):
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007fca03ed9859 in __GI_abort () at abort.c:79
#2  0x00007fca04343b87 in ?? () from target:/lib/x86_64-linux-gnu/libepoxy.so.0
#3  0x00007fca04347292 in ?? () from target:/lib/x86_64-linux-gnu/libepoxy.so.0
#4  0x000055fe0cac4438 in KWin::EGLFence::EGLFence (this=0x7ffcca3a7870, eglDisplay=0x55fe0ebcfd50) at /home/stalker/kwin/screencast/screencastmanager.cpp:45
#5  0x000055fe0cac4a39 in KWin::WindowStream::bufferToStream (this=0x7fc9f801c650) at /home/stalker/kwin/screencast/screencastmanager.cpp:103
#6  0x000055fe0cac6ed3 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void (KWin::WindowStream::*)()>::call(void (KWin::WindowStream::*)(), KWin::WindowStream*, void**) (f=(void (KWin::WindowStream::*)(class KWin::WindowStream * const)) 0x55fe0cac49b0 <KWin::WindowStream::bufferToStream()>, o=0x7fc9f801c650, arg=0x7ffcca3a7a10) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:152
#7  0x000055fe0cac69aa in QtPrivate::FunctionPointer<void (KWin::WindowStream::*)()>::call<QtPrivate::List<>, void>(void (KWin::WindowStream::*)(), KWin::WindowStream*, void**) (f=(void (KWin::WindowStream::*)(class KWin::WindowStream * const)) 0x55fe0cac49b0 <KWin::WindowStream::bufferToStream()>, o=0x7fc9f801c650, arg=0x7ffcca3a7a10) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:185
#8  0x000055fe0cac634d in QtPrivate::QSlotObject<void (KWin::WindowStream::*)(), QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) (which=1, this_=0x55fe0fa2b110, r=0x7fc9f801c650, a=0x7ffcca3a7a10, ret=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:418
#9  0x00007fca046cb5ae in QtPrivate::QSlotObjectBase::call (a=0x7ffcca3a7a10, r=0x7fc9f801c650, this=0x55fe0fa2b110) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#10 doActivate<false> (sender=0x55fe0ea2ced0, signal_index=3, argv=0x7ffcca3a7a10) at kernel/qobject.cpp:3886
#11 0x00007fca05ee6811 in KWin::Scene::frameRendered (this=0x55fe0ea2ced0) at /home/stalker/kwin/build/kwin_autogen/EWIEGA46WW/moc_scene.cpp:166
#12 0x00007fca0608e69c in KWin::Scene::finalPaintScreen (this=0x55fe0ea2ced0, mask=8, region=..., data=...) at /home/stalker/kwin/scene.cpp:190
#13 0x00007fca05fb1100 in KWin::EffectsHandlerImpl::paintScreen (this=0x55fe0f4cbb90, mask=8, region=..., data=...) at /home/stalker/kwin/effects.cpp:386
#14 0x00007fca05cb68a0 in KWin::Effect::paintScreen (this=0x55fe0f36ccb0, mask=8, region=..., data=...) at /home/stalker/kwin/libkwineffects/kwineffects.cpp:566
#15 0x00007fca05fb10cc in KWin::EffectsHandlerImpl::paintScreen (this=0x55fe0f4cbb90, mask=8, region=..., data=...) at /home/stalker/kwin/effects.cpp:383
#16 0x00007fca05cb68a0 in KWin::Effect::paintScreen (this=0x55fe0f566be0, mask=8, region=..., data=...) at /home/stalker/kwin/libkwineffects/kwineffects.cpp:566
#17 0x00007fca05fb10cc in KWin::EffectsHandlerImpl::paintScreen (this=0x55fe0f4cbb90, mask=8, region=..., data=...) at /home/stalker/kwin/effects.cpp:383
#18 0x00007fca05cb68a0 in KWin::Effect::paintScreen (this=0x55fe0f56b5e0, mask=8, region=..., data=...) at /home/stalker/kwin/libkwineffects/kwineffects.cpp:566
#19 0x00007fca05fb10cc in KWin::EffectsHandlerImpl::paintScreen (this=0x55fe0f4cbb90, mask=8, region=..., data=...) at /home/stalker/kwin/effects.cpp:383
#20 0x00007fca0608e337 in KWin::Scene::paintScreen (this=0x55fe0ea2ced0, mask=0x7ffcca3a7d78, damage=..., repaint=..., updateRegion=0x7ffcca3a7d98, validRegion=0x7ffcca3a7da0, projection=..., outputGeometry=..., screenScale=1) at /home/stalker/kwin/scene.cpp:135
#21 0x00007fc9fc7930f0 in KWin::SceneOpenGL::paint (this=0x55fe0ea2ced0, damage=..., toplevels=...) at /home/stalker/kwin/plugins/scenes/opengl/scene_opengl.cpp:649
#22 0x00007fca05f55187 in KWin::Compositor::performCompositing (this=0x55fe0ea383c0) at /home/stalker/kwin/composite.cpp:689
#23 0x00007fca05f54a6b in KWin::Compositor::bufferSwapComplete (this=0x55fe0ea383c0) at /home/stalker/kwin/composite.cpp:593
#24 0x00007fc9fd8ba801 in KWin::DrmBackend::pageFlipHandler (fd=35, frame=869506, sec=14891, usec=47992, data=0x55fe0ea28c40) at /home/stalker/kwin/plugins/platforms/drm/drm_backend.cpp:238
#25 0x00007fc9fd8658dd in drmHandleEvent () from target:/lib/x86_64-linux-gnu/libdrm.so.2
#26 0x00007fc9fd8ba876 in KWin::DrmBackend::<lambda()>::operator()(void) const (__closure=0x55fe0e9c9e60) at /home/stalker/kwin/plugins/platforms/drm/drm_backend.cpp:269
#27 0x00007fc9fd8bf46b in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, KWin::DrmBackend::openDrm()::<lambda()> >::call(KWin::DrmBackend::<lambda()> &, void **) (f=..., arg=0x7ffcca3a85e0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:146
#28 0x00007fc9fd8bf11a in QtPrivate::Functor<KWin::DrmBackend::openDrm()::<lambda()>, 0>::call<QtPrivate::List<>, void>(KWin::DrmBackend::<lambda()> &, void *, void **) (f=..., arg=0x7ffcca3a85e0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:256
#29 0x00007fc9fd8be812 in QtPrivate::QFunctorSlotObject<KWin::DrmBackend::openDrm()::<lambda()>, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=1, this_=0x55fe0e9c9e50, r=0x55fe0e8f2760, a=0x7ffcca3a85e0, ret=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:443
#30 0x00007fca046cb5ae in QtPrivate::QSlotObjectBase::call (a=0x7ffcca3a85e0, r=0x55fe0e8f2760, this=0x55fe0e9c9e50) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#31 doActivate<false> (sender=0x55fe0e9deaa0, signal_index=3, argv=0x7ffcca3a85e0) at kernel/qobject.cpp:3886
#32 0x00007fca046c4977 in QMetaObject::activate (sender=sender@entry=0x55fe0e9deaa0, m=m@entry=0x7fca0497bb60 <QSocketNotifier::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffcca3a85e0) at kernel/qobject.cpp:3946
#33 0x00007fca046cf623 in QSocketNotifier::activated (this=this@entry=0x55fe0e9deaa0, _t1=..., _t2=<optimized out>, _t3=...) at .moc/moc_qsocketnotifier.cpp:178
#34 0x00007fca046cfdc3 in QSocketNotifier::event (this=0x55fe0e9deaa0, e=0x7ffcca3a88b0) at kernel/qsocketnotifier.cpp:302
#35 0x00007fca051cfcc3 in QApplicationPrivate::notify_helper (this=this@entry=0x55fe0e8e9310, receiver=receiver@entry=0x55fe0e9deaa0, e=e@entry=0x7ffcca3a88b0) at kernel/qapplication.cpp:3671
#36 0x00007fca051d8c70 in QApplication::notify (this=0x7ffcca3a8c00, receiver=0x55fe0e9deaa0, e=0x7ffcca3a88b0) at kernel/qapplication.cpp:3417
#37 0x00007fca046946aa in QCoreApplication::notifyInternal2 (receiver=0x55fe0e9deaa0, event=0x7ffcca3a88b0) at ../../include/QtCore/5.15.0/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#38 0x00007fca046ec0bb in QEventDispatcherUNIXPrivate::activateSocketNotifiers (this=0x55fe0e8f84f0) at kernel/qeventdispatcher_unix.cpp:304
#39 0x00007fca046ec51b in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:511
#40 0x00007fc9fe93d001 in QUnixEventDispatcherQPA::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/KWinQpaPlugin.so
#41 0x00007fca046931bb in QEventLoop::exec (this=this@entry=0x7ffcca3a8a40, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#42 0x00007fca0469b354 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#43 0x000055fe0ca994f8 in main (argc=3, argv=0x7ffcca3a8e68) at /home/stalker/kwin/main_wayland.cpp:702
Detaching from program: target:/usr/bin/kwin_wayland, process 68749
Ending remote debugging.
[Inferior 1 (process 68749) detached]
Comment 8 Patrick Silva 2020-09-24 19:35:42 UTC
Sorry, here is a backtrace with debug symbols for libepoxy:


Thread 11 (Thread 77751.78190):
#0  0x00007f4328bf65ce in epoll_wait (epfd=131, events=events@entry=0x7f43013b39b0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007f430001f3fb in impl_pollfd_wait (object=<optimized out>, pfd=<optimized out>, ev=0x7f43013b3b60, n_ev=<optimized out>, timeout=<optimized out>) at ../spa/plugins/support/system.c:154
#2  0x00007f430001d080 in loop_iterate (object=0x56003a982928, timeout=-1) at ../spa/plugins/support/loop.c:285
#3  0x00007f432a930180 in ?? () from target:/lib/x86_64-linux-gnu/libpipewire-0.3.so.0
#4  0x00007f432a51e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007f4328bf6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 77751.77763):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f43288e2fd8 <QTWTF::pageheap_memory+57592>) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f43288e2f88 <QTWTF::pageheap_memory+57512>, cond=0x7f43288e2fb0 <QTWTF::pageheap_memory+57552>) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x7f43288e2fb0 <QTWTF::pageheap_memory+57552>, mutex=mutex@entry=0x7f43288e2f88 <QTWTF::pageheap_memory+57512>) at pthread_cond_wait.c:638
#3  0x00007f43287e563a in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f43288d4ee0 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0x00007f43287e565f in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0x00007f432a51e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f4328bf6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 77751.77760):
#0  0x00007f4328be9aff in __GI___poll (fds=0x7f42f0004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4326a8d1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4326a8d2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f432930ee92 in QEventDispatcherGlib::processEvents (this=0x7f42f0000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f43292b31bb in QEventLoop::exec (this=this@entry=0x7f4303560d80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f43290d1082 in QThread::exec (this=this@entry=0x56003a31a300) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f4327cab6c9 in QQmlThreadPrivate::run (this=0x56003a31a300) at qml/ftw/qqmlthread.cpp:155
#7  0x00007f43290d220c in QThreadPrivate::start (arg=0x56003a31a300) at thread/qthread_unix.cpp:342
#8  0x00007f432a51e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f4328bf6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 77751.77758):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x560039b0bac8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x560039b0ba78, cond=0x560039b0baa0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x560039b0baa0, mutex=mutex@entry=0x560039b0ba78) at pthread_cond_wait.c:638
#3  0x00007f431375297b in cnd_wait (mtx=0x560039b0ba78, cond=0x560039b0baa0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56003997c660) at ../src/util/u_queue.c:275
#5  0x00007f431375258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f432a51e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f4328bf6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 77751.77757):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x560039b0bac8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x560039b0ba78, cond=0x560039b0baa0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x560039b0baa0, mutex=mutex@entry=0x560039b0ba78) at pthread_cond_wait.c:638
#3  0x00007f431375297b in cnd_wait (mtx=0x560039b0ba78, cond=0x560039b0baa0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56003992a7c0) at ../src/util/u_queue.c:275
#5  0x00007f431375258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f432a51e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f4328bf6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 77751.77756):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x560039b0bac8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x560039b0ba78, cond=0x560039b0baa0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x560039b0baa0, mutex=mutex@entry=0x560039b0ba78) at pthread_cond_wait.c:638
#3  0x00007f431375297b in cnd_wait (mtx=0x560039b0ba78, cond=0x560039b0baa0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x560039974830) at ../src/util/u_queue.c:275
#5  0x00007f431375258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f432a51e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f4328bf6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 77751.77755):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x560039b0bac8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x560039b0ba78, cond=0x560039b0baa0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=cond@entry=0x560039b0baa0, mutex=mutex@entry=0x560039b0ba78) at pthread_cond_wait.c:638
#3  0x00007f431375297b in cnd_wait (mtx=0x560039b0ba78, cond=0x560039b0baa0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x56003996cdb0) at ../src/util/u_queue.c:275
#5  0x00007f431375258b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f432a51e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f4328bf6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 77751.77754):
#0  0x00007f4328be9aff in __GI___poll (fds=0x7f4318004630, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4326a8d1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4326a8d2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f432930ee92 in QEventDispatcherGlib::processEvents (this=0x7f4318000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f43292b31bb in QEventLoop::exec (this=this@entry=0x7f4321c65da0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f43290d1082 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f43290d220c in QThreadPrivate::start (arg=0x56003988e9d0) at thread/qthread_unix.cpp:342
#7  0x00007f432a51e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007f4328bf6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 77751.77753):
#0  0x00007f4328be9aff in __GI___poll (fds=0x7f4314005240, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4326a8d1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4326a8d2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f432930ee92 in QEventDispatcherGlib::processEvents (this=0x7f4314000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f43292b31bb in QEventLoop::exec (this=this@entry=0x7f4322466da0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f43290d1082 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f43290d220c in QThreadPrivate::start (arg=0x56003988ce80) at thread/qthread_unix.cpp:342
#7  0x00007f432a51e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007f4328bf6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 77751.77752):
#0  0x00007f4328be9aff in __GI___poll (fds=0x7f431c016d70, nfds=5, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4326a8d1ae in ?? () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4326a8d2e3 in g_main_context_iteration () from target:/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f432930ee92 in QEventDispatcherGlib::processEvents (this=0x7f431c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f43292b31bb in QEventLoop::exec (this=this@entry=0x7f4322d4bd70, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f43290d1082 in QThread::exec (this=this@entry=0x7f432a4d0d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f432a44df2b in QDBusConnectionManager::run (this=0x7f432a4d0d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#7  0x00007f43290d220c in QThreadPrivate::start (arg=0x7f432a4d0d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:342
#8  0x00007f432a51e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f4328bf6293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 77751.77751):
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007f4328af9859 in __GI_abort () at abort.c:79
#2  0x00007f4328f63b87 in egl_provider_resolver (name=name@entry=0x7f4328f8bc97 <entrypoint_strings+855> "eglCreateSync", providers=providers@entry=0x7f4328f8b900 <providers>, entrypoints=entrypoints@entry=0x7f4328f8b8f8 <entrypoints>) at src/egl_generated_dispatch.c:3911
#3  0x00007f4328f67292 in epoxy_eglCreateSync_resolver () at src/egl_generated_dispatch.c:4178
#4  epoxy_eglCreateSync_global_rewrite_ptr (dpy=0x560039b0f890, type=12537, attrib_list=0x0) at src/egl_generated_dispatch.c:5052
#5  0x0000560038c6e438 in KWin::EGLFence::EGLFence (this=0x7fff445b6b80, eglDisplay=0x560039b0f890) at /home/stalker/kwin/screencast/screencastmanager.cpp:45
#6  0x0000560038c6ea39 in KWin::WindowStream::bufferToStream (this=0x56003a23fa50) at /home/stalker/kwin/screencast/screencastmanager.cpp:103
#7  0x0000560038c70ed3 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void (KWin::WindowStream::*)()>::call(void (KWin::WindowStream::*)(), KWin::WindowStream*, void**) (f=(void (KWin::WindowStream::*)(class KWin::WindowStream * const)) 0x560038c6e9b0 <KWin::WindowStream::bufferToStream()>, o=0x56003a23fa50, arg=0x7fff445b6d20) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:152
#8  0x0000560038c709aa in QtPrivate::FunctionPointer<void (KWin::WindowStream::*)()>::call<QtPrivate::List<>, void>(void (KWin::WindowStream::*)(), KWin::WindowStream*, void**) (f=(void (KWin::WindowStream::*)(class KWin::WindowStream * const)) 0x560038c6e9b0 <KWin::WindowStream::bufferToStream()>, o=0x56003a23fa50, arg=0x7fff445b6d20) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:185
#9  0x0000560038c7034d in QtPrivate::QSlotObject<void (KWin::WindowStream::*)(), QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) (which=1, this_=0x56003a4afa10, r=0x56003a23fa50, a=0x7fff445b6d20, ret=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:418
#10 0x00007f43292eb5ae in QtPrivate::QSlotObjectBase::call (a=0x7fff445b6d20, r=0x56003a23fa50, this=0x56003a4afa10) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#11 doActivate<false> (sender=0x5600399733f0, signal_index=3, argv=0x7fff445b6d20) at kernel/qobject.cpp:3886
#12 0x00007f432ab06811 in KWin::Scene::frameRendered (this=0x5600399733f0) at /home/stalker/kwin/build/kwin_autogen/EWIEGA46WW/moc_scene.cpp:166
#13 0x00007f432acae69c in KWin::Scene::finalPaintScreen (this=0x5600399733f0, mask=8, region=..., data=...) at /home/stalker/kwin/scene.cpp:190
#14 0x00007f432abd1100 in KWin::EffectsHandlerImpl::paintScreen (this=0x56003a4158a0, mask=8, region=..., data=...) at /home/stalker/kwin/effects.cpp:386
#15 0x00007f432a8d68a0 in KWin::Effect::paintScreen (this=0x56003a45d120, mask=8, region=..., data=...) at /home/stalker/kwin/libkwineffects/kwineffects.cpp:566
#16 0x00007f432abd10cc in KWin::EffectsHandlerImpl::paintScreen (this=0x56003a4158a0, mask=8, region=..., data=...) at /home/stalker/kwin/effects.cpp:383
#17 0x00007f432a8d68a0 in KWin::Effect::paintScreen (this=0x56003a3a7a70, mask=8, region=..., data=...) at /home/stalker/kwin/libkwineffects/kwineffects.cpp:566
#18 0x00007f432abd10cc in KWin::EffectsHandlerImpl::paintScreen (this=0x56003a4158a0, mask=8, region=..., data=...) at /home/stalker/kwin/effects.cpp:383
#19 0x00007f432a8d68a0 in KWin::Effect::paintScreen (this=0x56003a39b040, mask=8, region=..., data=...) at /home/stalker/kwin/libkwineffects/kwineffects.cpp:566
#20 0x00007f432abd10cc in KWin::EffectsHandlerImpl::paintScreen (this=0x56003a4158a0, mask=8, region=..., data=...) at /home/stalker/kwin/effects.cpp:383
#21 0x00007f432acae337 in KWin::Scene::paintScreen (this=0x5600399733f0, mask=0x7fff445b7088, damage=..., repaint=..., updateRegion=0x7fff445b70a8, validRegion=0x7fff445b70b0, projection=..., outputGeometry=..., screenScale=1) at /home/stalker/kwin/scene.cpp:135
#22 0x00007f43209a30f0 in KWin::SceneOpenGL::paint (this=0x5600399733f0, damage=..., toplevels=...) at /home/stalker/kwin/plugins/scenes/opengl/scene_opengl.cpp:649
#23 0x00007f432ab75187 in KWin::Compositor::performCompositing (this=0x5600399730d0) at /home/stalker/kwin/composite.cpp:689
#24 0x00007f432ab74a6b in KWin::Compositor::bufferSwapComplete (this=0x5600399730d0) at /home/stalker/kwin/composite.cpp:593
#25 0x00007f43224da801 in KWin::DrmBackend::pageFlipHandler (fd=40, frame=1027690, sec=17537, usec=968916, data=0x560039970dc0) at /home/stalker/kwin/plugins/platforms/drm/drm_backend.cpp:238
#26 0x00007f43224858dd in drmHandleEvent () from target:/lib/x86_64-linux-gnu/libdrm.so.2
#27 0x00007f43224da876 in KWin::DrmBackend::<lambda()>::operator()(void) const (__closure=0x56003990ac10) at /home/stalker/kwin/plugins/platforms/drm/drm_backend.cpp:269
#28 0x00007f43224df46b in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, KWin::DrmBackend::openDrm()::<lambda()> >::call(KWin::DrmBackend::<lambda()> &, void **) (f=..., arg=0x7fff445b78f0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:146
#29 0x00007f43224df11a in QtPrivate::Functor<KWin::DrmBackend::openDrm()::<lambda()>, 0>::call<QtPrivate::List<>, void>(KWin::DrmBackend::<lambda()> &, void *, void **) (f=..., arg=0x7fff445b78f0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:256
#30 0x00007f43224de812 in QtPrivate::QFunctorSlotObject<KWin::DrmBackend::openDrm()::<lambda()>, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=1, this_=0x56003990ac00, r=0x560039830730, a=0x7fff445b78f0, ret=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:443
#31 0x00007f43292eb5ae in QtPrivate::QSlotObjectBase::call (a=0x7fff445b78f0, r=0x560039830730, this=0x56003990ac00) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#32 doActivate<false> (sender=0x56003988d8a0, signal_index=3, argv=0x7fff445b78f0) at kernel/qobject.cpp:3886
#33 0x00007f43292e4977 in QMetaObject::activate (sender=sender@entry=0x56003988d8a0, m=m@entry=0x7f432959bb60 <QSocketNotifier::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff445b78f0) at kernel/qobject.cpp:3946
#34 0x00007f43292ef623 in QSocketNotifier::activated (this=this@entry=0x56003988d8a0, _t1=..., _t2=<optimized out>, _t3=...) at .moc/moc_qsocketnotifier.cpp:178
#35 0x00007f43292efdc3 in QSocketNotifier::event (this=0x56003988d8a0, e=0x7fff445b7bc0) at kernel/qsocketnotifier.cpp:302
#36 0x00007f4329defcc3 in QApplicationPrivate::notify_helper (this=this@entry=0x560039827350, receiver=receiver@entry=0x56003988d8a0, e=e@entry=0x7fff445b7bc0) at kernel/qapplication.cpp:3671
#37 0x00007f4329df8c70 in QApplication::notify (this=0x7fff445b7f10, receiver=0x56003988d8a0, e=0x7fff445b7bc0) at kernel/qapplication.cpp:3417
#38 0x00007f43292b46aa in QCoreApplication::notifyInternal2 (receiver=0x56003988d8a0, event=0x7fff445b7bc0) at ../../include/QtCore/5.15.0/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#39 0x00007f432930c0bb in QEventDispatcherUNIXPrivate::activateSocketNotifiers (this=0x5600398364c0) at kernel/qeventdispatcher_unix.cpp:304
#40 0x00007f432930c51b in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:511
#41 0x00007f432355d001 in QUnixEventDispatcherQPA::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/KWinQpaPlugin.so
#42 0x00007f43292b31bb in QEventLoop::exec (this=this@entry=0x7fff445b7d50, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#43 0x00007f43292bb354 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#44 0x0000560038c434f8 in main (argc=3, argv=0x7fff445b8178) at /home/stalker/kwin/main_wayland.cpp:702
Detaching from program: target:/usr/bin/kwin_wayland, process 77751
Ending remote debugging.
[Inferior 1 (process 77751) detached]
Comment 9 Vlad Zahorodnii 2020-09-25 07:56:50 UTC
Does kwin crash if you switch to OpenGL 3 render backend? Also, can I have the output of `glinfo` (you may need to install mesa-demos)?
Comment 10 Christoph Feck 2020-09-25 08:54:59 UTC
glxinfo
Comment 11 Patrick Silva 2020-09-25 09:10:56 UTC
Created attachment 131923 [details]
output of glxinfo

yes, the crash also occurs with OpenGL 3.1 backend.
Comment 12 Vlad Zahorodnii 2020-09-25 09:28:10 UTC
(In reply to Christoph Feck from comment #10)
> glxinfo

no, glinfo
Comment 13 Patrick Silva 2020-09-25 09:36:21 UTC
glinfo command is not found on neon unstable and there is no mesa-demos package in its repos.
Comment 14 Vlad Zahorodnii 2020-09-25 09:40:07 UTC
Can I also have the output of eglinfo?
Comment 15 Patrick Silva 2020-09-25 09:42:33 UTC
$ eglinfo
EGL client extensions string:
    EGL_EXT_device_base EGL_EXT_device_enumeration EGL_EXT_device_query
    EGL_EXT_platform_base EGL_KHR_client_get_all_proc_addresses
    EGL_EXT_client_extensions EGL_KHR_debug EGL_EXT_platform_wayland
    EGL_EXT_platform_x11 EGL_MESA_platform_gbm
    EGL_MESA_platform_surfaceless EGL_EXT_platform_device

GBM platform:
EGL API version: 1.4
EGL vendor string: Mesa Project
EGL version string: 1.4
EGL client APIs: OpenGL OpenGL_ES 
EGL extensions string:
    EGL_ANDROID_blob_cache EGL_ANDROID_native_fence_sync
    EGL_EXT_buffer_age EGL_EXT_create_context_robustness
    EGL_EXT_image_dma_buf_import EGL_EXT_image_dma_buf_import_modifiers
    EGL_KHR_config_attribs EGL_KHR_create_context
    EGL_KHR_create_context_no_error EGL_KHR_fence_sync
    EGL_KHR_get_all_proc_addresses EGL_KHR_gl_colorspace
    EGL_KHR_gl_renderbuffer_image EGL_KHR_gl_texture_2D_image
    EGL_KHR_gl_texture_3D_image EGL_KHR_gl_texture_cubemap_image
    EGL_KHR_image EGL_KHR_image_base EGL_KHR_image_pixmap
    EGL_KHR_no_config_context EGL_KHR_reusable_sync
    EGL_KHR_surfaceless_context EGL_EXT_pixel_format_float
    EGL_KHR_wait_sync EGL_MESA_configless_context EGL_MESA_drm_image
    EGL_MESA_image_dma_buf_export EGL_MESA_query_driver
    EGL_WL_bind_wayland_display
Configurations:
     bf lv colorbuffer dp st  ms    vis   cav bi  renderable  supported
  id sz  l  r  g  b  a th cl ns b    id   eat nd gl es es2 vg surfaces 
---------------------------------------------------------------------
0x01 16  0  5  6  5  0  0  0  0 0 0x36314752--         y  y  y     win
0x02 16  0  5  6  5  0 24  8  0 0 0x36314752--         y  y  y     win
0x03 32  0  8  8  8  8  0  0  0 0 0x34325241--         y  y  y     win
0x04 32  0  8  8  8  8 24  8  0 0 0x34325241--         y  y  y     win
0x05 24  0  8  8  8  0  0  0  0 0 0x34325258--         y  y  y     win
0x06 24  0  8  8  8  0 24  8  0 0 0x34325258--         y  y  y     win
0x07 16  0  5  6  5  0  0  0  4 1 0x36314752--         y  y  y     win
0x08 16  0  5  6  5  0  0  0  8 1 0x36314752--         y  y  y     win
0x09 16  0  5  6  5  0 24  8  4 1 0x36314752--         y  y  y     win
0x0a 16  0  5  6  5  0 24  8  8 1 0x36314752--         y  y  y     win
0x0b 32  0  8  8  8  8  0  0  4 1 0x34325241--         y  y  y     win
0x0c 32  0  8  8  8  8  0  0  8 1 0x34325241--         y  y  y     win
0x0d 32  0  8  8  8  8 24  8  4 1 0x34325241--         y  y  y     win
0x0e 32  0  8  8  8  8 24  8  8 1 0x34325241--         y  y  y     win
0x0f 24  0  8  8  8  0  0  0  4 1 0x34325258--         y  y  y     win
0x10 24  0  8  8  8  0  0  0  8 1 0x34325258--         y  y  y     win
0x11 24  0  8  8  8  0 24  8  4 1 0x34325258--         y  y  y     win
0x12 24  0  8  8  8  0 24  8  8 1 0x34325258--         y  y  y     win

Wayland platform:
EGL API version: 1.4
EGL vendor string: Mesa Project
EGL version string: 1.4
EGL client APIs: OpenGL OpenGL_ES 
EGL extensions string:
    EGL_ANDROID_blob_cache EGL_ANDROID_native_fence_sync
    EGL_EXT_buffer_age EGL_EXT_create_context_robustness
    EGL_EXT_image_dma_buf_import EGL_EXT_image_dma_buf_import_modifiers
    EGL_EXT_swap_buffers_with_damage EGL_KHR_config_attribs
    EGL_KHR_create_context EGL_KHR_create_context_no_error
    EGL_KHR_fence_sync EGL_KHR_get_all_proc_addresses
    EGL_KHR_gl_colorspace EGL_KHR_gl_renderbuffer_image
    EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_3D_image
    EGL_KHR_gl_texture_cubemap_image EGL_KHR_image_base
    EGL_KHR_no_config_context EGL_KHR_reusable_sync
    EGL_KHR_surfaceless_context EGL_KHR_swap_buffers_with_damage
    EGL_EXT_pixel_format_float EGL_KHR_wait_sync
    EGL_MESA_configless_context EGL_MESA_drm_image
    EGL_MESA_image_dma_buf_export EGL_MESA_query_driver
    EGL_WL_bind_wayland_display EGL_WL_create_wayland_buffer_from_image
Configurations:
     bf lv colorbuffer dp st  ms    vis   cav bi  renderable  supported
  id sz  l  r  g  b  a th cl ns b    id   eat nd gl es es2 vg surfaces 
---------------------------------------------------------------------
0x01 16  0  5  6  5  0  0  0  0 0 0x00--         y  y  y     win
0x02 16  0  5  6  5  0 24  8  0 0 0x00--         y  y  y     win
0x03 32  0  8  8  8  8  0  0  0 0 0x00--         y  y  y     win
0x04 32  0  8  8  8  8 24  8  0 0 0x00--         y  y  y     win
0x05 24  0  8  8  8  0  0  0  0 0 0x00--         y  y  y     win
0x06 24  0  8  8  8  0 24  8  0 0 0x00--         y  y  y     win
0x07 16  0  5  6  5  0  0  0  4 1 0x00--         y  y  y     win
0x08 16  0  5  6  5  0  0  0  8 1 0x00--         y  y  y     win
0x09 16  0  5  6  5  0 24  8  4 1 0x00--         y  y  y     win
0x0a 16  0  5  6  5  0 24  8  8 1 0x00--         y  y  y     win
0x0b 32  0  8  8  8  8  0  0  4 1 0x00--         y  y  y     win
0x0c 32  0  8  8  8  8  0  0  8 1 0x00--         y  y  y     win
0x0d 32  0  8  8  8  8 24  8  4 1 0x00--         y  y  y     win
0x0e 32  0  8  8  8  8 24  8  8 1 0x00--         y  y  y     win
0x0f 24  0  8  8  8  0  0  0  4 1 0x00--         y  y  y     win
0x10 24  0  8  8  8  0  0  0  8 1 0x00--         y  y  y     win
0x11 24  0  8  8  8  0 24  8  4 1 0x00--         y  y  y     win
0x12 24  0  8  8  8  0 24  8  8 1 0x00--         y  y  y     win

X11 platform:
EGL API version: 1.4
EGL vendor string: Mesa Project
EGL version string: 1.4
EGL client APIs: OpenGL OpenGL_ES 
EGL extensions string:
    EGL_ANDROID_blob_cache EGL_ANDROID_native_fence_sync
    EGL_CHROMIUM_sync_control EGL_EXT_buffer_age
    EGL_EXT_create_context_robustness EGL_EXT_image_dma_buf_import
    EGL_EXT_image_dma_buf_import_modifiers EGL_KHR_config_attribs
    EGL_KHR_create_context EGL_KHR_create_context_no_error
    EGL_KHR_fence_sync EGL_KHR_get_all_proc_addresses
    EGL_KHR_gl_colorspace EGL_KHR_gl_renderbuffer_image
    EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_3D_image
    EGL_KHR_gl_texture_cubemap_image EGL_KHR_image EGL_KHR_image_base
    EGL_KHR_image_pixmap EGL_KHR_no_config_context EGL_KHR_reusable_sync
    EGL_KHR_surfaceless_context EGL_EXT_pixel_format_float
    EGL_KHR_wait_sync EGL_MESA_configless_context EGL_MESA_drm_image
    EGL_MESA_image_dma_buf_export EGL_MESA_query_driver
    EGL_NOK_texture_from_pixmap EGL_WL_bind_wayland_display
Configurations:
     bf lv colorbuffer dp st  ms    vis   cav bi  renderable  supported
  id sz  l  r  g  b  a th cl ns b    id   eat nd gl es es2 vg surfaces 
---------------------------------------------------------------------
0x01 32  0  8  8  8  8  0  0  0 0 0x24TC      a  y  y  y     win,pb,pix
0x02 32  0  8  8  8  8 24  8  0 0 0x24TC      a  y  y  y     win,pb,pix
0x03 24  0  8  8  8  0  0  0  0 0 0x24TC      y  y  y  y     win,pb,pix
0x04 24  0  8  8  8  0 24  8  0 0 0x24TC      y  y  y  y     win,pb,pix
0x05 32  0  8  8  8  8  0  0  4 1 0x24TC      a  y  y  y     win
0x06 32  0  8  8  8  8  0  0  8 1 0x24TC      a  y  y  y     win
0x07 32  0  8  8  8  8 24  8  4 1 0x24TC      a  y  y  y     win
0x08 32  0  8  8  8  8 24  8  8 1 0x24TC      a  y  y  y     win
0x09 24  0  8  8  8  0  0  0  4 1 0x24TC      y  y  y  y     win
0x0a 24  0  8  8  8  0  0  0  8 1 0x24TC      y  y  y  y     win
0x0b 24  0  8  8  8  0 24  8  4 1 0x24TC      y  y  y  y     win
0x0c 24  0  8  8  8  0 24  8  8 1 0x24TC      y  y  y  y     win
0x0d 32  0  8  8  8  8  0  0  0 0 0x25DC      a  y  y  y     win,pb,pix
0x0e 32  0  8  8  8  8 24  8  0 0 0x25DC      a  y  y  y     win,pb,pix
0x0f 24  0  8  8  8  0  0  0  0 0 0x25DC      y  y  y  y     win,pb,pix
0x10 24  0  8  8  8  0 24  8  0 0 0x25DC      y  y  y  y     win,pb,pix
0x11 32  0  8  8  8  8  0  0  4 1 0x25DC      a  y  y  y     win
0x12 32  0  8  8  8  8  0  0  8 1 0x25DC      a  y  y  y     win
0x13 32  0  8  8  8  8 24  8  4 1 0x25DC      a  y  y  y     win
0x14 32  0  8  8  8  8 24  8  8 1 0x25DC      a  y  y  y     win
0x15 24  0  8  8  8  0  0  0  4 1 0x25DC      y  y  y  y     win
0x16 24  0  8  8  8  0  0  0  8 1 0x25DC      y  y  y  y     win
0x17 24  0  8  8  8  0 24  8  4 1 0x25DC      y  y  y  y     win
0x18 24  0  8  8  8  0 24  8  8 1 0x25DC      y  y  y  y     win

Device platform:
eglinfo: eglInitialize failed
Comment 16 Vlad Zahorodnii 2020-09-29 13:57:42 UTC
Git commit 6546ac2cae2a77c12cb964237c66755b44c7f0fd by Vlad Zahorodnii.
Committed on 29/09/2020 at 13:57.
Pushed by vladz into branch 'master'.

screencast: Replace EGLFence with a glFinish()

The way EGLFence is used is equivalent to calling glFinish().

M  +1    -32   screencast/screencastmanager.cpp

https://invent.kde.org/plasma/kwin/commit/6546ac2cae2a77c12cb964237c66755b44c7f0fd
Comment 17 Vlad Zahorodnii 2020-09-29 13:58:13 UTC
Git commit 02490c20868014f3d613d45a8b241eb9dda399be by Vlad Zahorodnii.
Committed on 29/09/2020 at 13:58.
Pushed by vladz into branch 'Plasma/5.20'.

screencast: Replace EGLFence with a glFinish()

The way EGLFence is used is equivalent to calling glFinish().


(cherry picked from commit 6546ac2cae2a77c12cb964237c66755b44c7f0fd)

M  +1    -32   screencast/screencastmanager.cpp

https://invent.kde.org/plasma/kwin/commit/02490c20868014f3d613d45a8b241eb9dda399be
Comment 18 Patrick Silva 2020-09-29 15:47:44 UTC
I have just built 5.20 branch on Arch Linux and I can confirm that this crash is finally fixed.
Thank you Vlad.
Comment 19 Nate Graham 2020-09-29 16:57:37 UTC
\o/
Comment 20 Claudius Ellsel 2020-10-16 18:52:49 UTC
I experienced a very similar crash recently: https://bugs.kde.org/show_bug.cgi?id=427822